From Ryan Hoffman via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6122
authoralagoutte <alagoutte@f5534014-38df-0310-8fa8-9805f1628bb7>
Thu, 18 Aug 2011 13:43:24 +0000 (13:43 +0000)
committeralagoutte <alagoutte@f5534014-38df-0310-8fa8-9805f1628bb7>
Thu, 18 Aug 2011 13:43:24 +0000 (13:43 +0000)
commit71f09147faf518815b217713d0d9b8503e289255
treeaa2b0418192500c49219531ce30aa85b294d57a9
parent3b3b9f47ad01151dae25717fa42eebeb252c8c49
From Ryan Hoffman via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6122
Malformed Packet in decode for BGP-AD (autodiscovery) update (RFC6074)

From me:
Add support of RFC6074 (BGP-AD) in BGP dissector.
Both BGP-AD and VPLS-BGP (RFC4761) use the same AFI/SAFI, The NLRI length must be used as a demultiplexer. (See RFC6074  Section 7 : BGP-AD and VPLS-BGP Interoperability)

git-svn-id: http://anonsvn.wireshark.org/wireshark/trunk@38601 f5534014-38df-0310-8fa8-9805f1628bb7
epan/dissectors/packet-bgp.c